<?php
//extrait la première lettre et la passe en majuscules
function onelettre($texte) {
	$texte = $texte{0}; // première lettre
	// remplacement des caractères accentués
	// exemple trouvé là: http://be.php.net/manual/fr/function.strtr.php#52098
	$texte = strtr($texte, "\xA1\xAA\xBA\xBF\xC0\xC1\xC2\xC3\xC5\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD8\xD9\xDA\xDB\xDD\xE0\xE1\xE2\xE3\xE5\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF8\xF9\xFA\xFB\xFD\xFF", "!ao?AAAAACEEEEIIIIDNOOOOOUUUYaaaaaceeeeiiiidnooooouuuyy");
	$texte = strtr($texte, array("\xC4"=>"Ae", "\xC6"=>"AE", "\xD6"=>"Oe", "\xDC"=>"Ue", "\xDE"=>"TH", "\xDF"=>"ss", "\xE4"=>"ae", "\xE6"=>"ae", "\xF6"=>"oe", "\xFC"=>"ue", "\xFE"=>"th"));
	$texte = strtoupper($texte); // tout en majuscules
	//if($texte!='&')
	return $texte;
}
function critere_parsansL($idb, &$boucles, $crit) {
    $not = $crit->not;
    $boucle = &$boucles[$idb];
    $id = $boucle->primary;
 	$boucle->order[] = "'TRIM(LEADING \'Le Â«\' FROM TRIM(LEADING \'le \'FROM TRIM(LEADING \'los \'  FROM TRIM(LEADING \'la \' FROM TRIM(LEADING \'lâ€™ Â«\'  FROM TRIM(LEADING \'Le Â« \'   FROM TRIM(LEADING \'La Â« \' FROM TRIM(LEADING \'lâ€™\' FROM TRIM(LEADING \'Â«\' FROM TRIM(LEADING \'&nbsp;\' FROM TRIM(LEADING \'les \' FROM LOWER(titre))))))))))))'";
}
function sansle($texte) {
	$pattern[0]  = "#^Les |La |Le |Lo |The[[:space:]]?#";   
	$pattern[1]  = "#^Lâ€™?#"; //apostrophe utf8
	$pattern[3] = "#^&\#171;?#"; //guillemet
	$pattern[5] = "#^&?#"; //&
	$pattern[2]  = "#^&nbsp;?#"; //espace
	$pattern[6] = "#^[[:space:]]?#"; //&
	$pattern[4]  = "#Â«#"; //guillemet La Â«  
	return preg_replace($pattern, '', $texte);
}
/* on ne garde que le la l'*/
function quele($texte){
	$txtsanse = sansle(trim($texte));
	if ($txtsanse != trim($texte)) {
		return str_replace("$txtsanse","","$texte");
	} else {
		return '';
	}
}
function onelettrebis($chaine) {
	$chaine = filtrer_entites(sansle($chaine)); // si il y a des fois des accents en dur qui trainent
	$chaine = unicode2charset(utf_8_to_unicode($chaine), 'iso-8859-1'); // on code en html ISO
    $a = "ÀÁÂÃÄÅàáâãäåÒÓÔÕÖØòóôõöøÈÉÊËèéêëÇçÌÍÎÏìíîïÙÚÛÜùúûüÿÑñ";
    $b = "AAAAAAaaaaaaOOOOOOooooooEEEEeeeeCcIIIIiiiiUUUUuuuuyNn";
	$chaine = strtr($chaine, $a, $b); // on retire les accents
	$chaine = strtoupper($chaine); // on passe en majuscules 
	/// si débute par le fameux Œ ou œ
	$pattern = "^(Œ|œ)";
	if (eregi($pattern,$chaine,$regs)) { 
		return 'O';//$chaine= $regs[0]; //on va renvoyer la lettre O
	} else { 
		return $chaine{0};
	} 
}
function array_merge5 ($array1, $array2) {
 return array_merge ((array)$array1, (array)$array2);
}
?>